Render a declared template workspace fixture
Renders one of the named inputs the template declares against the current effective workspace tree.
Renders one of the named inputs the template declares against the current effective workspace tree. Only declared fixtures render here; arbitrary input renders against a publication.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
fixture*string
Length
1 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/fixtures" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string", "fixture": "string" }'{ "projectId": "string", "revision": "string", "entryPath": "string", "declaration": { "codeDigest": "string", "templateId": "string", "input": { "schema": {}, "schemaDigest": "string", "contractDigest": "string" }, "runtime": { "now": 0, "randomSeed": 0 }, "fixtures": [ "string" ] }, "diagnostics": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "incompatibilities": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "fixture": "string", "rendered": { "subject": "string", "preheader": "string", "html": "string", "text": "string", "selections": [ { "instancePath": "string", "tag": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "authored": true, "occurrence": 1, "occurrences": 1, "parentPath": "string", "start": 0, "end": 0 } ] }}